[arch-commits] Commit in procmail/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu Apr 16 23:11:54 EDT 2009


    Date: Thursday, April 16, 2009 @ 23:11:54
  Author: eric
Revision: 35774

Merged revisions 35767 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/procmail/trunk

........
  r35767 | eric | 2009-04-16 22:26:01 -0400 (Thu, 16 Apr 2009) | 2 lines
  
  upgpkg: procmail 3.22-2
      Added license, Added url, FHS man pages, PKGBUILD clean up
........

Modified:
  procmail/repos/extra-i686/	(properties)
  procmail/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   17 ++++++-----------
 1 file changed, 6 insertions(+), 11 deletions(-)


Property changes on: procmail/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /procmail/trunk:1-8946
   + /procmail/trunk:1-35773

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-17 03:08:08 UTC (rev 35773)
+++ extra-i686/PKGBUILD	2009-04-17 03:11:54 UTC (rev 35774)
@@ -3,23 +3,18 @@
 # Committer: Judd Vinet <jvinet at zeroflux.org>
 pkgname=procmail
 pkgver=3.22
-pkgrel=1
+pkgrel=2
 pkgdesc="Highly configurable auto mail processing."
 arch=(i686 x86_64)
+url="http://www.procmail.org"
+license=('GPL' 'custom:Artistic')
 depends=('glibc')
 source=(http://www.procmail.org/${pkgname}-${pkgver}.tar.gz)
 md5sums=('1678ea99b973eb77eda4ecf6acae53f1')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   yes n | make LOCKINGTEST="/tmp ." || return 1
-  install -d -m755 $startdir/pkg/usr/bin
-  install -d -m755 $startdir/pkg/usr/man
-  install -d -m755 $startdir/pkg/usr/man/man1
-  install -d -m755 $startdir/pkg/usr/man/man5
-  install -D -m4755 src/procmail $startdir/pkg/usr/bin/procmail
-  install -D -m755 src/formail $startdir/pkg/usr/bin/formail
-  install -D -m755 src/lockfile $startdir/pkg/usr/bin/lockfile
-  install -m644 man/*.1 $startdir/pkg/usr/man/man1
-  install -m644 man/*.5 $startdir/pkg/usr/man/man5
+  make BASENAME=$pkgdir/usr MANDIR=$pkgdir/usr/share/man install || return 1
+  install -D -m644 Artistic ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list